Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoVerifyInfoExtended

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoVerifyInfoExtended,MonoVerifyInfoExtended.ByValue,MonoVerifyInfoExtended.ByReference>
              com.nativelibs4java.mono.MonoVerifyInfoExtended

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoVerifyInfoExtended,MonoVerifyInfoExtended.ByValue,MonoVerifyInfoExtended.ByReference>>

Direct Known Subclasses:
  MonoVerifyInfoExtended.ByReference, MonoVerifyInfoExtended.ByValue

    public class MonoVerifyInfoExtended

extends Structure<MonoVerifyInfoExtended,MonoVerifyInfoExtended.ByValue,MonoVerifyInfoExtended.ByReference>

native declaration : mono\metadata\verify.h
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoVerifyInfoExtended.ByReference`
`static class` | `MonoVerifyInfoExtended.ByValue`

Field Summary
`byte` | `exception_type`
`MonoVerifyInfo` | `info`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoVerifyInfoExtended()`
`MonoVerifyInfoExtended(MonoVerifyInfo info, byte exception_type)`

Method Summary
`protected MonoVerifyInfoExtended.ByReference` | `newByReference()`
`protected MonoVerifyInfoExtended.ByValue` | `newByValue()`
`protected MonoVerifyInfoExtended` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### info

    public MonoVerifyInfo info

### exception_type

    public byte exception_type

Constructor Detail

### MonoVerifyInfoExtended

    public MonoVerifyInfoExtended()

### MonoVerifyInfoExtended

    public MonoVerifyInfoExtended(MonoVerifyInfo info,
                                  byte exception_type)

Method Detail

### newByReference

    protected MonoVerifyInfoExtended.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoVerifyInfoExtended,MonoVerifyInfoExtended.ByValue,MonoVerifyInfoExtended.ByReference>`

### newByValue

    protected MonoVerifyInfoExtended.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoVerifyInfoExtended,MonoVerifyInfoExtended.ByValue,MonoVerifyInfoExtended.ByReference>`

### newInstance

    protected MonoVerifyInfoExtended newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoVerifyInfoExtended,MonoVerifyInfoExtended.ByValue,MonoVerifyInfoExtended.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD